For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Shipping Provider
      • Tax Provider
      • Webhooks
          • GETList Webhooks
          • POSTCreate Webhook
          • GETGet Webhook
          • PUTUpdate Webhook
          • DELDelete Webhook
          • GETGet Admin Info
          • PUTUpsert Email Notifications
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTIntegrationsWebhooks

List Webhooks

GET
https://api.bigcommerce.com/stores/:store_hash/v3/hooks
GET
/stores/:store_hash/v3/hooks
$curl https://api.bigcommerce.com/stores/store_hash/v3/hooks \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "data": [
3 {
4 "id": 1024,
5 "client_id": "abc123xyz789",
6 "store_hash": "1a2b3c4d5e",
7 "scope": "store/order/created",
8 "destination": "https://webhooks.myshop.com/order-created",
9 "headers": {
10 "X-Custom-Header": "WebhookSecretToken"
11 },
12 "is_active": true,
13 "created_at": 1685600000,
14 "updated_at": 1688201600
15 }
16 ],
17 "meta": {
18 "pagination": {
19 "total": 1,
20 "count": 1,
21 "per_page": 10,
22 "current_page": 1,
23 "total_pages": 1,
24 "links": {
25 "previous": null,
26 "current": "https://api.bigcommerce.com/stores/1a2b3c4d5e/v3/hooks?page=1&limit=10",
27 "next": null
28 }
29 }
30 }
31}

Returns a list of all webhooks on a store associated to the client_id used to authenticate the request.

Note: BigCommerce determines the client_id from the access_token.

Was this page helpful?
Previous

Webhooks v3

Next

Create Webhook

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes None required. Create and manage webhooks with the default scope of an API account. ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringOptionalDefaults to application/json

Query parameters

pageintegerOptional
Page number.
limitintegerOptional
Items count per page.
is_activebooleanOptional
Enables user to filter for webhooks that are active or not. A webhook subscription becomes deactivated after 90 days of inactivity.
scopestringOptional
Enables user to filter for webhooks by scope.
destinationstringOptional
Enables user to filter for webhooks by destination.

Response

datalist of objects
metaobject

Errors

401
Unauthorized Error

OAuth scopes

None required. Create and manage webhooks with the default scope of an API account.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.